Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.ascape.adapt
Class AscapeGraphicsProvider

    java.lang.Object
      org.eclipse.amp.agf.GenericGraphicsProvider
          org.eclipse.amp.escape.ascape.adapt.AscapeGraphicsProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.IColorProvider, org.eclipse.jface.viewers.ILabelProvider

Direct Known Subclasses:
  AscapeTreeMemberProvider

    public class AscapeGraphicsProvider

extends GenericGraphicsProvider

The Class AscapeProvider.

Field Summary

Fields inherited from class org.eclipse.amp.agf.GenericGraphicsProvider
`AGENT_IMAGE, GRAPH_IMAGE, GRID_IMAGE, LIST_IMAGE, SCAPE_IMAGE, SPACE_IMAGE`

Constructor Summary
`AscapeGraphicsProvider()`

Method Summary
`org.eclipse.swt.graphics.Color` | `getBackground(java.lang.Object element)`
`static AscapeGraphicsProvider` | `getDefault()`
`org.eclipse.swt.graphics.Color` | `getForeground(java.lang.Object element)`
`java.lang.String` | `getText(java.lang.Object element)`

Methods inherited from class org.eclipse.amp.agf.GenericGraphicsProvider
`addListener, dispose, getImage, isLabelProperty, removeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AscapeGraphicsProvider

    public AscapeGraphicsProvider()

Method Detail

### getText

    public java.lang.String getText(java.lang.Object element)

  Specified by:
    `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
  Overrides:
    `getText` in class `GenericGraphicsProvider`
  Parameters:
    `element` -
  Returns:
  See Also:
    `ILabelProvider.getText(java.lang.Object)`

### getForeground

    public org.eclipse.swt.graphics.Color getForeground(java.lang.Object element)

  Specified by:
    `getForeground` in interface `org.eclipse.jface.viewers.IColorProvider`
  Overrides:
    `getForeground` in class `GenericGraphicsProvider`
  Parameters:
    `element` -
  Returns:
  See Also:
    `IColorProvider.getForeground(java.lang.Object)`

### getBackground

    public org.eclipse.swt.graphics.Color getBackground(java.lang.Object element)

  Specified by:
    `getBackground` in interface `org.eclipse.jface.viewers.IColorProvider`
  Overrides:
    `getBackground` in class `GenericGraphicsProvider`
  Parameters:
    `element` -
  Returns:
  See Also:
    `IColorProvider.getBackground(java.lang.Object)`

### getDefault

    public static AscapeGraphicsProvider getDefault()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD